﻿
@{
    ViewData["Title"] = "Inscription";
}
@model Web.ViewModels.Inscription.InscriptionViewModel

<form autocomplete="off" asp-route="Inscription" class="form card js-form" novalidate>
    <h1 class="form__title h3-like">Inscription</h1>
    <div class="form__field">
        <input type="text" asp-for="FirstName" class="js-input" required aria-invalid="false" aria-describedby="error__login-firstname" />
        <label asp-for="FirstName">Prénom*</label>
        <span class="form__error-message" id="error__login-firstname">
            Veuillez entrer votre nom
        </span>
        <span asp-validation-for="FirstName" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="text" asp-for="LastName" class="js-input" required aria-invalid="false" aria-describedby="error__login-lastname" />
        <label asp-for="LastName">Nom*</label>
        <span class="form__error-message" id="error__login-nom">
            Veuillez entrer votre nom
        </span>
        <span asp-validation-for="LastName" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="text" asp-for="Adress" class="js-input" required aria-invalid="false" aria-describedby="error__login-adress" />
        <label asp-for="Adress">Adresse*</label>
        <span class="form__error-message" id="error__login-adress">
            Veuillez entrer votre adresse
        </span>
        <span asp-validation-for="Adress" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="number" asp-for="AppNb" class="js-input" aria-invalid="false" aria-describedby="error__login-appNb" />
        <label asp-for="AppNb">Appartement</label>
        <span asp-validation-for="AppNb" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="text" asp-for="PostalCode" class="js-input" required aria-invalid="false" aria-describedby="error__login-postalCode" />
        <label asp-for="PostalCode">Code postal*</label>
        <span class="form__error-message" id="error__login-postalCode">
            Veuillez entrer votre code postal
        </span>
        <span asp-validation-for="PostalCode" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="text" asp-for="PhoneNumber" class="js-input" required aria-invalid="false" aria-describedby="error__login-phoneNumber" />
        <label asp-for="PhoneNumber">Numéro de téléphone*</label>
        <span class="form__error-message" id="error__login-phoneNumber">
            Veuillez entrer votre numéro de téléphone
        </span>
        <span asp-validation-for="PhoneNumber" class="text-error"></span>
    </div>
    <div class="form__field">
        <input type="text" asp-for="Email" class="js-input" required aria-invalid="false" aria-describedby="error__login-email" />
        <label asp-for="Email">Adresse courriel*</label>
        <span class="form__error-message" id="error__login-email">
            Veuillez entrer votre adresse courriel
        </span>
        <span asp-validation-for="Email" class="text-error"></span>
    </div>
    <div class="form__field">
        <label>Je suis avec*</label>
        <div>
            <input type="radio" id="cegep" name="From" value="cegep" asp-for="From" required>
            <label for="male">Le Cégep</label>
        </div>
        <div>
            <input type="radio" id="loisirs" name="From" value="loisirs" asp-for="From" required>
            <label for="female">Les loisirs Saint-Sacrement</label>
        </div>
        <span class="form__error-message" id="error__login-from">
            Veuillez choisir de quelle institution vous venez
        </span>
        <span asp-validation-for="From" class="text-error"></span>
    </div>
    <button class="form__submit btn" type="submit">
        S'inscrire
    </button>
</form>